Skip to main content
POST
Verify a registered card payment instrument

Authorizations

Authorization
string
header
required

Merchant API key bearer token.

Headers

Idempotency-Key
string
required

Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.

Example:

"idem-01"

Path Parameters

paymentInstrumentId
string
required

PayGood payment instrument TypeID (pi_…).

Example:

"pi_01hxy8m1nqk9g3x3y3p0azq2zz"

Response

paymentInstrumentId
string
required
processorInstrumentId
string
required
Minimum string length: 1
addressVerification
enum<string>
required
Available options:
postal_code_and_street_match,
street_match,
postal_code_match,
no_address,
no_match,
not_supported,
unknown
securityCodeVerification
enum<string>
required
Available options:
matched,
unmatched,
unknown
nameVerification
object | null
required
verifiedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$